<?php
vc_map(array(
    "name"        => __("Social Networks", "mk_framework"),
    "base"        => "mk_social_networks",
    'icon'        => 'icon-mk-social-networks vc_mk_element-icon',
    'description' => __('Adds social network icons.', 'mk_framework'),
    "category"    => __('Social', 'mk_framework'),
    "params"      => array(
        array(
            "type"       => "dropdown",
            "heading"    => __("Style", "mk_framework"),
            "param_name" => "style",
            "value"      => array(
                "Square" => "square",
                "Circle" => "circle",
                "Simple" => "simple",
            ),
        ),
        array(
            "type"       => "dropdown",
            "heading"    => __("Skin", "mk_framework"),
            "param_name" => "skin",
            "value"      => array(
                "Dark"   => "dark",
                "Light"  => "light",
                "Custom" => "custom",
            ),
        ),

        array(
            "type"        => "colorpicker",
            "heading"     => __("Border Color", "mk_framework"),
            "param_name"  => "border_color",
            "value"       => "#ccc",
            "description" => __("(default: #ccc). Doesn't work with Simple Style", "mk_framework"),
            "dependency"  => array(
                'element' => "skin",
                'value'   => array(
                    'custom',
                ),
            ),
        ),
        array(
            "type"        => "colorpicker",
            "heading"     => __("Background Color", "mk_framework"),
            "param_name"  => "bg_color",
            "value"       => "",
            "description" => __("(default: transparent). Doesn't work with Simple Style", "mk_framework"),
            "dependency"  => array(
                'element' => "skin",
                'value'   => array(
                    'custom',
                ),
            ),
        ),
        array(
            "type"        => "colorpicker",
            "heading"     => __("Background Hover Color", "mk_framework"),
            "param_name"  => "bg_hover_color",
            "value"       => "#232323",
            "description" => __("(default: #232323). Doesn't work with Simple Style", "mk_framework"),
            "dependency"  => array(
                'element' => "skin",
                'value'   => array(
                    'custom',
                ),
            ),
        ),
        array(
            "type"        => "colorpicker",
            "heading"     => __("Icons Color", "mk_framework"),
            "param_name"  => "icon_color",
            "value"       => "#ccc",
            "description" => __("(default: #ccc)", "mk_framework"),
            "dependency"  => array(
                'element' => "skin",
                'value'   => array(
                    'custom',
                ),
            ),
        ),
        array(
            "type"        => "colorpicker",
            "heading"     => __("Icons Hover Color", "mk_framework"),
            "param_name"  => "icon_hover_color",
            "value"       => "#eee",
            "description" => __("(default: #eee)", "mk_framework"),
            "dependency"  => array(
                'element' => "skin",
                'value'   => array(
                    'custom',
                ),
            ),
        ),

        array(
            "type"        => "range",
            "heading"     => __("Margin", "mk_framework"),
            "param_name"  => "margin",
            "value"       => "4",
            "min"         => "0",
            "max"         => "50",
            "step"        => "1",
            "unit"        => 'px',
            "description" => __("How much distance between icons? this margin will be applied to all directions.", "mk_framework"),
        ),
        array(
            "type"        => "dropdown",
            "heading"     => __("Icons Align", "mk_framework"),
            "param_name"  => "align",
            "width"       => 150,
            "value"       => array(
                __('None', "mk_framework")   => "none",
                __('Left', "mk_framework")   => "left",
                __('Right', "mk_framework")  => "right",
                __('Center', "mk_framework") => "center",
            ),
            "description" => __("", "mk_framework"),
        ),

        array(
            "type"        => "textfield",
            "heading"     => __("Facebook URL", "mk_framework"),
            "param_name"  => "facebook",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Twitter URL", "mk_framework"),
            "param_name"  => "twitter",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("RSS URL", "mk_framework"),
            "param_name"  => "rss",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Instagram URL", "mk_framework"),
            "param_name"  => "instagram",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Dribbble URL", "mk_framework"),
            "param_name"  => "dribbble",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Vimeo URL", "mk_framework"),
            "param_name"  => "vimeo",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Spotify URL", "mk_framework"),
            "param_name"  => "spotify",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Pinterest URL", "mk_framework"),
            "param_name"  => "pinterest",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Google Plus URL", "mk_framework"),
            "param_name"  => "google_plus",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Linkedin URL", "mk_framework"),
            "param_name"  => "linkedin",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Youtube URL", "mk_framework"),
            "param_name"  => "youtube",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),

        array(
            "type"        => "textfield",
            "heading"     => __("Tumblr URL", "mk_framework"),
            "param_name"  => "tumblr",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),

        array(
            "type"        => "textfield",
            "heading"     => __("Behance URL", "mk_framework"),
            "param_name"  => "behance",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("WhatsApp URL", "mk_framework"),
            "param_name"  => "whatsapp",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("qzone URL", "mk_framework"),
            "param_name"  => "qzone",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("vk.com URL", "mk_framework"),
            "param_name"  => "vkcom",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("IMDb URL", "mk_framework"),
            "param_name"  => "imdb",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Renren URL", "mk_framework"),
            "param_name"  => "renren",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Wechat URL", "mk_framework"),
            "param_name"  => "wechat",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Weibo URL", "mk_framework"),
            "param_name"  => "weibo",
            "value"       => "",
            "description" => __("Fill this textbox with the full URL of your corresponding social netowork. include (http://). if left blank this social network icon wont be shown.", "mk_framework"),
        ),
        array(
            "type"        => "dropdown",
            "heading"     => __("Viewport Animation", "mk_framework"),
            "param_name"  => "animation",
            "value"       => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Extra class name", "mk_framework"),
            "param_name"  => "el_class",
            "value"       => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework"),
        ),

    ),
));